Subject: Re: linux-next: build failure after merge of the nand tree

From: Miquel Raynal <[email-masked]>
Date: Mon, 25 May 2020 13:54:24 +0200

Hi Stephen,

Stephen Rothwell <[email-masked]> wrote on Mon, 25 May 2020
20:45:35 +1000:

> Hi all,
> 
> After merging the nand tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
> 
> drivers/mtd/nand/raw/pasemi_nand.c: In function 'pasemi_nand_probe':
> drivers/mtd/nand/raw/pasemi_nand.c:157:1: warning: label 'out_cleanup' defined but not used [-Wunused-label]
>   157 | out_cleanup:
>       | ^~~~~~~~~~~
> drivers/mtd/nand/raw/pasemi_nand.c:149:3: error: label 'out_cleanup_nand' used but not defined
>   149 |   goto out_cleanup_nand;
>       |   ^~~~
> 
> Caused by commit
> 
>   d6a2207d79e3 ("mtd: rawnand: pasemi: Fix the probe error path")
> 
> I have applied the following patch for today.
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Mon, 25 May 2020 20:41:22 +1000
> Subject: [PATCH] mtd: rawnand: pasemi: fix up label spelling
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  drivers/mtd/nand/raw/pasemi_nand.c | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/drivers/mtd/nand/raw/pasemi_nand.c b/drivers/mtd/nand/raw/pasemi_nand.c
> index 37570f0c3a36..d8eca8c3fdcd 100644
> --- a/drivers/mtd/nand/raw/pasemi_nand.c
> +++ b/drivers/mtd/nand/raw/pasemi_nand.c
> @@ -154,7 +154,7 @@ static int pasemi_nand_probe(struct platform_device *ofdev)
>  
>  	return 0;
>  
> -out_cleanup:
> + out_cleanup_nand:
>  	nand_cleanup(chip);
>   out_lpc:
>  	release_region(lpcctl, 4);

Damn it, I always screw up with !COMPILE_TEST drivers...

That's the right fix, I updated nand/next for tomorrow.

Thanks a lot,
Miquèl